<?php

class views_navigation_plugin_display_extender_views_navigation extends views_plugin_display_extender {

  function option_definition() {
    $options['views_navigation'] = array(
      'default' => FALSE,
      'translatable' => FALSE,
      'bool' => TRUE,
    );
    return $options;
  }

  function options_form(&$form, &$form_state) {
    switch ($form_state['section']) {
      case 'views_navigation' :
        $form['#title'] .= t('Views navigation');
        $form['views_navigation'] = array(
          '#type' => 'checkbox',
          '#title' => t('Add navigation links on node pages accessed from this view'),
          '#default_value' => $this->display->get_option('views_navigation'),
        );
        break;
    }
  }

  function options_submit(&$form, &$form_state) {
    $new_option = $form_state['values']['views_navigation'];
    switch ($form_state['section']) {
      case 'views_navigation' :
        $this->display->set_option('views_navigation', $new_option);
        break;
    }
  }

  function options_summary(&$categories, &$options) {
    $options['views_navigation'] = array(
      'category' => 'other',
      'title' => t('Views navigation'),
      'value' => $this->display->get_option('views_navigation') ? t('Yes') : t('No'),
      'desc' => t('Add navigation links on node pages accessed from this view.'),
    );
  }

}
